Last Comment Bug 312980 - Use classes instead of pseudo elements
: Use classes instead of pseudo elements
Status: RESOLVED FIXED
: fixed1.8.0.2, fixed1.8.1
Product: Core Graveyard
Classification: Graveyard
Component: XForms (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Allan Beaufour
: Stephen Pride
Mentors:
http://www.mozilla.org/projects/xforms/
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-19 02:16 PDT by Allan Beaufour
Modified: 2016-07-15 14:46 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (9.01 KB, patch)
2005-10-25 12:42 PDT, Allan Beaufour
doronr: review-
Details | Diff | Splinter Review
Patch v2 (9.01 KB, patch)
2005-10-25 12:51 PDT, Allan Beaufour
doronr: review+
bugs: review+
Details | Diff | Splinter Review
With Olli's comment fixed (9.02 KB, patch)
2005-10-25 13:11 PDT, Allan Beaufour
no flags Details | Diff | Splinter Review

Description Allan Beaufour 2005-10-19 02:16:23 PDT
Until bug 271724 is fixed, I think we should put f.x. a class="xf-value" on the
value elements, and also change @repeat-index to a class instead.
Comment 1 Allan Beaufour 2005-10-25 12:42:25 PDT
Created attachment 200778 [details] [diff] [review]
Patch

* sets the class "xf-value" (should be ::value) on elements where it makes sense
* changes nsXFormsContentContainer to use @class too, and also sets "repeat-item" class (which should be ::repeat-item)
Comment 2 Doron Rosenberg (IBM) 2005-10-25 12:48:13 PDT
Comment on attachment 200778 [details] [diff] [review]
Patch

> 
>   <!-- UPLOAD: DISABLED -->
>   <binding id="xformswidget-upload-disabled"
>            extends="chrome://xforms/content/xforms.xml#xformswidget-base">
>     <content>
>       <children includes="label"/>
>       <html:input readonly="true"
>+                  class="value"

you want xf-value probably!
Comment 3 Allan Beaufour 2005-10-25 12:51:49 PDT
Created attachment 200779 [details] [diff] [review]
Patch v2

(In reply to comment #2)
> (From update of attachment 200778 [details] [diff] [review] [edit])
> > 
> >   <!-- UPLOAD: DISABLED -->
> >   <binding id="xformswidget-upload-disabled"
> >            extends="chrome://xforms/content/xforms.xml#xformswidget-base">
> >     <content>
> >       <children includes="label"/>
> >       <html:input readonly="true"
> >+                  class="value"
> 
> you want xf-value probably!

No! I _hate_ upload. It should be punished! Take that you lousy control!

... or yes :-)
Comment 4 Olli Pettay [:smaug] 2005-10-25 13:05:12 PDT
Comment on attachment 200779 [details] [diff] [review]
Patch v2


>  */
> NS_IMETHODIMP
> nsXFormsContextContainer::SetIndexState(PRBool aHasIndex)
> {
>   if (mElement) {
>-    NS_NAMED_LITERAL_STRING(repIndex, "repeat-index");
>+    mHasIndex = aHasIndex;
>+    NS_NAMED_LITERAL_STRING(classStr, "class");
>     if (aHasIndex) {
>-      mElement->SetAttribute(repIndex,
>-                             NS_LITERAL_STRING("1"));
>+      mElement->SetAttribute(classStr,
>+                             NS_LITERAL_STRING("repeat-item repeat-index"));
>     } else {
>-      mElement->RemoveAttribute(repIndex);
>+      mElement->SetAttribute(classStr, NS_LITERAL_STRING("repeat-item"));
>     }

xf-repeat-item and xf-repeat-index

With those, r=me
Comment 5 Allan Beaufour 2005-10-25 13:11:56 PDT
Created attachment 200782 [details] [diff] [review]
With Olli's comment fixed
Comment 6 Allan Beaufour 2005-10-25 13:13:16 PDT
Checked in to trunk
Comment 7 aaronr 2006-02-02 17:14:26 PST
checked into MOZILLA_1_8_BRANCH via bug 323691.  Leaving open for now until it gets into 1.8.0
Comment 8 aaronr 2006-07-07 10:09:05 PDT
verfied fixed on MOZILLA_1_8_BRANCH

Note You need to log in before you can comment on or make changes to this bug.